org.apache.maven.scm.provider.cvslib.command.update

## Class CvsUpdateConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.cvslib.command.update.CvsUpdateConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer

      public class CvsUpdateConsumer
      extends Object
      implements org.codehaus.plexus.util.cli.StreamConsumer

  Version:
    $Id: CvsUpdateConsumer.java 691832 2008-09-03 23:54:44Z vsiveton $
  Author:
    Trygve Laugstøl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CvsUpdateConsumer(ScmLogger logger)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeLine(String line)`
    `List` | `getUpdatedFiles()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CvsUpdateConsumer

          public CvsUpdateConsumer(ScmLogger logger)

  - ### Method Detail

    - #### consumeLine

          public void consumeLine(String line)

      Specified by:
        `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

    - #### getUpdatedFiles

          public List getUpdatedFiles()

Copyright © 2003–2015. All rights reserved.